Loading...
Searching...
No Matches
Opm::NcpIntensiveQuantities< TypeTag > Class Template Reference

Contains the quantities which are are constant within a finite volume in the compositional multi-phase NCP model. More...

`#include <ncpintensivequantities.hh>`

Inheritance diagram for Opm::NcpIntensiveQuantities< TypeTag >:

## Public Member Functions

| NcpIntensiveQuantities (const NcpIntensiveQuantities &other)=default
NcpIntensiveQuantities & | operator= (const NcpIntensiveQuantities &other)=default
void | update (const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx)
| IntensiveQuantities::update.
const FluidState & | fluidState () const
| ImmiscibleIntensiveQuantities::fluidState.
const DimMatrix & | intrinsicPermeability () const
| ImmiscibleIntensiveQuantities::intrinsicPermeability.
const Evaluation & | relativePermeability (unsigned phaseIdx) const
| ImmiscibleIntensiveQuantities::relativePermeability.
const Evaluation & | mobility (unsigned phaseIdx) const
| ImmiscibleIntensiveQuantities::mobility.
const Evaluation & | porosity () const
| ImmiscibleIntensiveQuantities::porosity.
void | checkDefined () const
| IntensiveQuantities::checkDefined.

## Detailed Description

template<class TypeTag>
class Opm::NcpIntensiveQuantities< TypeTag >

Contains the quantities which are are constant within a finite volume in the compositional multi-phase NCP model.

The documentation for this class was generated from the following file:

- opm/models/ncp/ncpintensivequantities.hh